# Generated by Django 3.2 on 2021-05-01 12:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('lister', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='listersettings',
            name='list_sorting',
            field=models.CharField(choices=[('name', 'Sort by Name'), ('-name', 'Sort by Name'), ('created', 'Sort by Created'), ('-created', 'Sort by Created')], default='created', max_length=30),
        ),
        migrations.CreateModel(
            name='ListShare',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('view_items', models.BooleanField(default=True)),
                ('edit_items', models.BooleanField(default=True)),
                ('edit_list', models.BooleanField(default=False)),
                ('show_checked', models.BooleanField(default=False)),
                ('sorting', models.CharField(choices=[('name', 'Sort by Name'), ('-name', 'Sort by Name'), ('created', 'Sort by Created'), ('-created', 'Sort by Created'), ('checked', 'Sort by Marked'), ('-checked', 'Sort by Marked')], default='created', max_length=30)),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lister.list')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
